dscal.f(3)

NAME
dscal.f -

SYNOPSIS

  Functions/Subroutines
subroutine dscal (N, DA, DX, INCX)
DSCAL

Function/Subroutine Documentation

  subroutine dscal (integerN, double precisionDA, double precision, dimension(*)DX, integerINCX)

DSCAL Purpose:

        DSCAL scales a vector by a constant.
        uses unrolled loops for increment equal to one.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 54 of file dscal.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.